LFR-FSW - Bug #1085

PA_RPW_BYTE_POSITION wrong into a TM_LFR_TC_EXE_INCONSISTENT on
TC_LFR_LOAD_FILTER_PAR

25/04/2017 06:25 PM - Veronique bouzid

Status: Closed Start date: 25/04/2017
Priority: Normal Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Le test du parametre SY_LFR_PAS_FILTER_DELTA_F:
envoi d'une frequence négative (-1) = O0x BF800000 et entier 3212836864

08:31:38.573693, TC_LFR_LOAD_FILTER_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=15232, (PACKET_SEQUENCE_CONTROL=0xfb80), PACKET_LENGTH=85,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_FILTER_PAR = 97, SOURCE_ID: MISSION_TIMELINE = 110,
SPARE=0x0, DOE_SPARE=0x0, SY_LFR_PAS_FILTER_ENABLED_D: ENABLED =1, SY_LFR_PAS_FILTER_MODULUS=4,
SY_LFR_PAS_FILTER_TBAD=1065353216, SY_LFR_PAS_FILTER_OFFSET=0, SY_LFR_PAS_FILTER_SHIFT=1056964608,
SY_LFR_PAS_FILTER_DELTA_F=3212836864, SY_LFR_RW1_K1=0x3f800000, SY_LFR_RW1_K2=0x41000000,
SY_LFR_RW1_K3=0x41c00000, SY_LFR_RW1_K4=0x42400000, SY_LFR_RW2_K1=0x3f800000,
SY_LFR_RW2_K2=0x41000000, SY_LFR_RW2_K3=0x41c00000, SY_LFR_RW2_K4=0x42400000,
SY_LFR_RW3_K1=0x3f800000, SY_LFR_RW3_K2=0x41000000, SY_LFR_RW3_K3=0x41c00000,
SY_LFR_RW3_K4=0x42400000, SY_LFR_RW4_K1=0x3f800000, SY_LFR_RW4_K2=0x41000000,
SY_LFR_RW4_K3=0x41c00000, SY_LFR_RW4_K4=0x42400000, CRC = 0xffb7

08:31:38.580833, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=98,
(PACKET_SEQUENCE_CONTROL=0xc062), PACKET_LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000002cf329, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xfb80, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA =5,
PA_RPW_TC_SERVICE=181, PA_RPW_TC_SUBTYPE=97, PA_RPW_BYTE_POSITION=22, PA_RPW_RCV_VALUE=255

la position du champ est correcte PA_RPW_BYTE_POSITION=22 mais la valeur devrait correspondre au Least Byte soit 00
pusique le champ complet vaut
0x BF800000. D'ailleurs aucun octet de vaut 255 (OxFF).

Les parametres suivants ont été testés et sont correctement décrits

SY_LFR_PAS_FILTER_MODULUS

08:31:26.495614, TM_LFR_TC_EXE_INCONSISTENT, TIME=0x80000020dc93, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=97, PA_RPW_BYTE_POSITION=12, PA_RPW_RCV_VALUE=0

SY_LFR_PAS_FILTER_TBAD
08:31:29.514696, TM_LFR_TC_EXE_INCONSISTENT, TIME=0x80000023e231, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=97, PA_RPW_BYTE_POSITION=13, PA_RPW_RCV_VALUE=236

SY_LFR_PAS FILTER OFFSET
08:31:32.536943, TM_LFR_TC_EXE_INCONSISTENT, TIME=0x80000026e7f1, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=97, PA_RPW_BYTE_POSITION=17, PA_RPW_RCV_VALUE=8

SY_LFR_PAS_FILTER_SHIFT

08:31:35.558894, TM_LFR_TC_EXE_INCONSISTENT, TIME=0x80000029edbd, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=97, PA_RPW_BYTE_POSITION=18, PA_RPW_RCV_VALUE=174
Envoi de SY_LFR_RW1_K1=0xbf800000 --1)
08:31:41.603624, TM_LFR_TC_EXE_INCONSISTENT, TIME=0x8000002ff8fd, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=97, PA_RPW_BYTE_POSITION=26, PA_RPW_RCV_VALUE=0

Le script utilisé est /opt/VALIDATION_R3plusplus/Ifrverif/LFR_SVS/SVS-0008/tc_execution_failure_report.py.
Les fichiers de log (2017_04_20-08_32_02*) sont rangés dans /home/validation/data/R3++/3.2.0.15/3.1.91/SVS-0008

Contexte du test

FSW 3.2.0.15

VHDL 3.1.91

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = default, Changeset =
c459540a6dbdcbb4e17f204685fce02c070ba971+

EQM sans Timegen

StarDundee

History

#1 - 26/04/2017 06:35 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Exact, je n'ai pas recopié correctement le champ LSB dans le paquet TM_LFR_TC_EXE_INCONSISTENT, je fais la modification.

Corrigé dans fsw >= 3.2.0.16.

#2 - 23/08/2017 05:30 PM - bruno katra

- Status changed from New to In Progress

Ce comportement non nominal est décrit dans le SUM 1.5 la demande du CNES.
Correction a valider puis cloturer l'issue QUAND LE SUM AURA ETE MIS A JOUR !

#3 - 13/07/2018 03:33 PM - Veronique bouzid

- Status changed from In Progress to Resolved

Bug corrigé en 3.2.0.18 ( version HK annoncé en 3.2.0.17).
Le script utilisé est /home/validation/SCRIPT/R3++/set_load_filter_par_inconsistent.py.

13:02:01.862823, TC_LFR_LOAD_FILTER_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,

DATA FIELD HEADER _FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET LENGTH=85, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_FILTER_PAR = 97, SOURCE._ID:
MISSION_TIMELINE = 110, SPARE=0x0, DOE_SPARE=0x0, SY_LFR_PAS_FILTER_ENABLED_D: ENABLED = 1,
SY_LFR_PAS FILTER MODULUS=4, SY LFR_PAS FILTER TBAD=1065353216, SY LFR_PAS FILTER OFFSET=0,

SY _LFR_PAS_FILTER SHIFT=1056964608, SY _LFR_PAS FILTER DELTA F=3212836864, SY_LFR_RW1_K1=0x3f800000,
SY_LFR_RW1_K2=0x41000000, SY_LFR_RW1_K3=0x41c00000, SY LFR_RW1_K4=0x42400000, SY_LFR_RW2_K1=0x3f800000,
SY_LFR_RW2_K2=0x41000000, SY_LFR_RW2_K3=0x41c00000, SY LFR_RW2_K4=0x42400000, SY LFR_RW3_K1=0x3f800000,
SY_LFR_RW3_K2=0x41000000, SY_LFR_RW3_K3=0x41c00000, SY_LFR_RW3_K4=0x42400000, SY_LFR_RW4_K1=0x3{800000,
SY_LFR_RW4_K2-0x41000000, SY_LFR_RW4_K3=0x41c00000, SY LFR_RW4_K4=0x42400000, CRC = Ox1fe3

13:02:01.871188, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET _TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: ACKNOWLEDGE = 1,
(PACKET _ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=54,
(PACKET_SEQUENCE_CONTROL=0xc036), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID:
MISSION_TIMELINE = 110, TIME=0x8000007575bc, PA_RPW_TELECOMMAND_PKT ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xc000,
PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5, PA_RPW_TC_SERVICE=181, PA_RPW_TC_SUBTYPE=97,
PA_RPW_BYTE_POSITION=22, PA_RPW_RCV_VALUE=0

les fichiers (2018_07_13-13_02_09%) se trouvent dans le répertoire /home/validation/data/R3++/3.2.0.18/1.1.91/TEST-UNITAIRES/BUG-1085.

Contexte du test

FSW 3.2.0.18

VHDL 1.1.91

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = default, Changeset = c459540a6dbdcbb4e17f204685fce02c070ba971+
EM1 sans Timegen
StarDundee

#4 - 13/07/2018 03:34 PM - Veronique bouzid
- Status changed from Resolved to Feedback

- Assignee changed from Veronique bouzid to bruno katra

Attention Mettre a jour le SUM puisque le bug est corrigé.

Ce comportement non nominal est décrit dans le SUM 1.5 la demande du CNES.
Correction a valider puis cloturer l'issue QUAND LE SUM AURA ETE MIS A JOUR !

#5 - 13/12/2018 02:20 PM - bruno katra
- Status changed from Feedback to Closed

SUM 1.6 mis a jour suite a correction du bug
